**********************************************************************
************** Panel 800
**********************************************************************

use "$data/DNB_Panel_800.dta", clear

foreach var of varlist  NonRoyalReligion Royals {

eststo clear
qui {
	
	
	
	* FE DUMMY
	
	 eststo: reghdfe `var'_D School_Dummy ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
		
	eststo: reghdfe `var'_D School_Dummy ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
	
		
		* FE Log
	
		
	 eststo: reghdfe ln`var' School_Dummy ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su `var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
		
	eststo: reghdfe ln`var' School_Dummy ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	

		su `var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	

	
* FE Share

		
	 eststo: reghdfe Share_`var' School_Dummy ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
		
	eststo: reghdfe Share_`var' School_Dummy ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
	
	
	 
}

esttab, drop(_cons ) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
	stats(localitytrend econ rel education ///
	r2_a N MEAN, label( "Unit trend" "City covariates \(\times\) period FE" ///
	"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
	"Adj. R2" "Observations" "Mean") fmt(a a a a  %9.3f %9.0fc %9.3f)) ///
	coeflabels (School "Finishing school\(\_it\)" )
// for export	
esttab using "$tables/C1_`var'_800.tex" ///
		, replace booktabs fragment ///
		star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
		coeflabels (School_Dummy "Finishing school\$_{it}\$" SchoolD_Post "Finishing school x post" Mona_Post "Monasteries x post") ///
		nomtitles nonumbers noobs nonote nogaps noline drop(_cons) ///
		substitute(\_ _) ///
		stats(MEAN, label("Mean, untreated") fmt(%9.3f))	

}
// bring panels together
	#delimit ;
	esttab using "$tables/C1_Panel_800.tex", replace booktabs
			cells(none) nonote noobs nomtitles ///
			mgroups("\$\mathbb{I}[Women>0]\$" "log Women" "Share Women", pattern(1 0 1 0  1 0  ) 
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
			prefoot(
			\multicolumn{@span}{l}{\emph{Panel A: Non-Noble Seculars}} \\ 
			\panelinput{"Tables/C1_NonRoyalReligion_800.tex"} 
			\midrule \multicolumn{@span}{l}{\emph{Panel B: Nobility}} \\ 			
			\panelinput{"Tables/C1_Royals_800.tex"} \midrule )
			substitute(\_ _)	
		stats(localitytrend econ rel education  ///
		N, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
		"Observations" ) fmt(a a a a  %9.0fc )) ///
		coeflabels (School "Finishing school\(\_it\)" )
	;
	#delimit cr



**********************************************************************
************** Panel 1300 [with 25 years]
**********************************************************************

use "$data/DNB_Panel_1300_25.dta", clear



foreach var of varlist  NonRoyalReligion Royals {

eststo clear
qui {
	
	
	
	* FE DUMMY
	
	 eststo: reghdfe `var'_D School_Dummy ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
		
	eststo: reghdfe `var'_D School_Dummy ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
	
		
		* FE Log
	
		
	 eststo: reghdfe ln`var' School_Dummy ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su `var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
		
	eststo: reghdfe ln`var' School_Dummy ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	

		su `var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	

	
* FE Share

		
	 eststo: reghdfe Share_`var' School_Dummy ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
		
	eststo: reghdfe Share_`var' School_Dummy ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
	
	
	 
}

esttab, drop(_cons ) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
	stats(localitytrend econ rel education ///
	r2_a N MEAN, label( "Unit trend" "City covariates \(\times\) period FE" ///
	"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
	"Adj. R2" "Observations" "Mean") fmt(a a a a  %9.3f %9.0fc %9.3f)) ///
	coeflabels (School "Finishing school\(\_it\)" )
// for export	
esttab using "$tables/C2_`var'.tex" ///
		, replace booktabs fragment ///
		star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
		coeflabels (School_Dummy "Finishing school\$_{it}\$" SchoolD_Post "Finishing school x post" Mona_Post "Monasteries x post") ///
		nomtitles nonumbers noobs nonote nogaps noline drop(_cons) ///
		substitute(\_ _) ///
		stats(MEAN, label("Mean, untreated") fmt(%9.3f))	

}
// bring panels together
	#delimit ;
	esttab using "$tables/C2_Panel.tex", replace booktabs
			cells(none) nonote noobs nomtitles ///
			mgroups("\$\mathbb{I}[Women>0]\$" "log Women" "Share Women", pattern(1 0 1 0  1 0  ) 
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
			prefoot(
			\multicolumn{@span}{l}{\emph{Panel A: Non-Noble Seculars}} \\ 
			\panelinput{"Tables/C2_NonRoyalReligion.tex"} 
			\midrule \multicolumn{@span}{l}{\emph{Panel B: Nobility}} \\ 			
			\panelinput{"Tables/C2_Royals.tex"} \midrule )
			substitute(\_ _)	
		stats(localitytrend econ rel education  ///
		N, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
		"Observations" ) fmt(a a a a  %9.0fc )) ///
		coeflabels (School "Finishing school\(\_it\)" )
	;
	#delimit cr

	

**********************************************************************
************** Panel HRE
**********************************************************************

use "$data/DNB_Panel_HRE.dta", clear



/* Allowing the cities to vary within each decision maker. 
Cities are different, but being ruled by the church implies the same decision maker.
*/

foreach var of varlist  NonRoyalReligion  Royals {

	eststo clear
	qui {
		
		
		
		* FE DUMMY
		
		 eststo: reghdfe `var'_D School_Dummy ,a(Century Ruler_ID##c.Century ) cl(Ruler_CL)
			
			estadd local localityFE "Yes"
			estadd local localitytrend "Yes"
			estadd local econ ""
			estadd local rel ""
			estadd local education ""

			su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
			estadd scalar MEAN = `r(mean)'		
		
		eststo: reghdfe `var'_D School_Dummy ///
			,a(Century Ruler_ID##c.Century ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century c.lnDistBoundary##Century) cl(Ruler_CL) 

			
			estadd local localityFE "Yes"
			estadd local localitytrend "Yes"
			estadd local econ "Yes"
			estadd local rel "Yes"
			estadd local education "Yes"

			su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
			estadd scalar MEAN = `r(mean)'		

			* FE Log
		
			
		 eststo: reghdfe ln`var' School_Dummy ,a(Century Ruler_ID##c.Century ) cl(Ruler_CL)
			
			estadd local localityFE "Yes"
			estadd local localitytrend "Yes"
			estadd local econ ""
			estadd local rel ""
			estadd local education ""

			su `var' if School_Dummy==0&e(sample)&Post_30yr==1
			estadd scalar MEAN = `r(mean)'		
		
	eststo: reghdfe ln`var' School_Dummy ///
			,a(Century Ruler_ID##c.Century ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			c.lnDistBoundary##Century) cl(Ruler_CL) 

			
			estadd local localityFE "Yes"
			estadd local localitytrend "Yes"
			estadd local econ "Yes"
			estadd local rel "Yes"
			estadd local education "Yes"	

			su `var' if School_Dummy==0&e(sample)&Post_30yr==1
			estadd scalar MEAN = `r(mean)'			

				
	* FE Share

			
		 eststo: reghdfe Share_`var' School_Dummy ,a(Century Ruler_ID##c.Century ) cl(Ruler_CL)
			
			estadd local localityFE "Yes"
			estadd local localitytrend "Yes"
			estadd local econ ""
			estadd local rel ""
			estadd local education ""

			su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
			estadd scalar MEAN = `r(mean)'		
		eststo: reghdfe Share_`var' School_Dummy ///
			,a(Century Ruler_ID##c.Century ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			c.lnDistBoundary##Century) cl(Ruler_CL) 

			
			estadd local localityFE "Yes"
			estadd local localitytrend "Yes"
			estadd local econ "Yes"
			estadd local rel "Yes"
			estadd local education "Yes"

			su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
			estadd scalar MEAN = `r(mean)'	
		
		
		
		 
	}
		// for inspection
		esttab, drop(_cons ) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
			stats(r2_a N MEAN, label(  ///
			"Adj. R2" "Observations" "Mean") fmt(  %9.3f %9.0fc %9.3f)) ///
			coeflabels (School "Finishing school\(\_it\)" )
		// for export	
		esttab using "$tables/C3_`var'.tex" ///
				, replace booktabs fragment ///
				star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
				coeflabels (School_Dummy "Finishing school\$_{it}\$" SchoolD_Post "Finishing school x post" Mona_Post "Monasteries x post") ///
				nomtitles nonumbers noobs nonote nogaps noline drop(_cons) ///
				substitute(\_ _) ///
				stats(MEAN, label("Mean, untreated") fmt(%9.3f))	
		
	}
	// bring panels together
			#delimit ;
			esttab using "$tables/C3_Panel_HRE_Base.tex", replace booktabs
				cells(none) nonote noobs nomtitles ///
				mgroups("\$\mathbb{I}[Women>0]\$" "log Women" "Share Women", pattern(1 0 1 0 1 0) 
				prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
				prefoot(
				\multicolumn{@span}{l}{\emph{Panel A: Non-Noble Seculars}} \\ 
				\panelinput{"Tables/C3_NonRoyalReligion"} 
				\midrule \multicolumn{@span}{l}{\emph{Panel B: Nobility}} \\ 			
				\panelinput{"Tables/C3_Royals"} \midrule )
				substitute(\_ _)	
			stats(localitytrend econ rel education ///
			N, label( "Unit trend" "City covariates \(\times\) period FE" ///
			"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
			"Observations" ) fmt(a a a a  %9.0fc )) ///
			coeflabels (School "Finishing school\(\_it\)" )
			;
			#delimit cr
			
**********************************************************************
**********************************************************************
************** Exact opening time of finishing schools
**********************************************************************
**********************************************************************			


do "$dofiles/Figure_1.do"	// The appendix figures



**********************************************************************
************** Early versus Late Schools
**********************************************************************
	

use "$data/DNB_Panel.dta", clear

cap drop LaborForce_Participation LaborForce_Participation_D Share_LaborForce_Participation lnLaborForce_Participation
egen LaborForce_Participation = rowtotal(Occupations Medicine Teacher Academic Writer )
gen LaborForce_Participation_D = (LaborForce_Participation>0) if LaborForce_Participation!=.
gen Share_LaborForce_Participation = (LaborForce_Participation)/(LaborForce_Participation+M_Occupation+1)
gen lnLaborForce_Participation = log(LaborForce_Participation+1)


cap drop h	
cap drop School_Open
gen h = School_Century

replace h = Century if h!=0
replace h = . if h==0

bysort town_id: egen School_Open=min(h)
replace School_Open = 0 if School_Open==.	
tab School_Open



foreach var of varlist  NonRoyalReligion Royals {

eststo clear
qui {
	
	
	
	* FE DUMMY
	

eststo: reghdfe `var'_D School_Dummy ///
			if School_Open==0|School_Open<18 ///
			,a(Century town_id##c.Century  ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

	eststo: reghdfe `var'_D School_Dummy ///
			if School_Open==0|School_Open>=18 ///
			,a(Century town_id##c.Century   ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 	
		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	
		* FE Log

		
	eststo: reghdfe ln`var' School_Dummy ///
			if School_Open==0|School_Open<18 ///
			,a(Century town_id##c.Century   ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id)  

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'			
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	

	eststo: reghdfe ln`var' School_Dummy ///
			if School_Open==0|School_Open>=18 ///
			,a(Century town_id##c.Century   ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id)		
		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'			
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"			
		
* FE Share

		
		
	eststo: reghdfe Share_`var' School_Dummy ///
			if School_Open==0|School_Open<18 ///
			,a(Century town_id##c.Century   ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 
		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

	eststo: reghdfe Share_`var' School_Dummy ///
			if School_Open==0|School_Open>=18 ///
			,a(Century town_id##c.Century   ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 			
		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'			
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	
	 
}
	// for inspection
	esttab, drop(_cons ) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
		stats(localitytrend econ rel education ///
		r2_a N MEAN, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
		"Adj. R2" "Observations" "Mean") fmt(a a a a  %9.3f %9.0fc %9.3f)) ///
		coeflabels (School "Finishing school\(\_it\)" )
	// for export	
	esttab using "$tables/C4_`var'.tex" ///
			, replace booktabs fragment ///
			star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
			coeflabels (School_Dummy "Finishing school\$_{it}\$" SchoolD_Post "Finishing school x post" Mona_Post "Monasteries x post") ///
			nomtitles nonumbers noobs nonote nogaps noline drop(_cons) ///
			stats(MEAN, label("Mean, untreated") fmt(%9.3f))	///
			substitute(\_ _) 
				
	
}
// bring panels together
		#delimit ;
		esttab using "$tables/C4_Panel.tex", replace booktabs
			cells(none) nonote noobs  ///
			mtitles("Early" "Late" "Early" "Late" "Early" "Late") ///
			mgroups("\$\mathbb{I}[Women>0]\$" "log Women" "Share Women", pattern(1 0 1 0 1 0) 
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
			prefoot(
			\multicolumn{@span}{l}{\emph{Panel A: Non-Noble Seculars}} \\ 
			\panelinput{"Tables/C4_NonRoyalReligion"} 
			\midrule \multicolumn{@span}{l}{\emph{Panel B: Nobility}} \\ 			
			\panelinput{"Tables/C4_Royals"} \midrule )
			substitute(\_ _)	
		stats(localitytrend econ rel education ///
		N, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
		"Observations" ) fmt(a a a a  %9.0fc )) ///
		coeflabels (School "Finishing school\(\_it\)" )
		;
		#delimit cr
		
		
**********************************************************************
* Comparing the impact of the first to the second school
**********************************************************************



tab Century School
cap drop First_School Second_School
sort town_id Century
gen First_School = (School>0)
gen Second_School = (School>1)
drop if Century==.

	
foreach var of varlist NonRoyalReligion  Royals {

eststo clear
qui {
	
	
	
	* FE DUMMY

	
		
	eststo: reghdfe `var'_D First_School    ///
		,a(Century town_id##c.Century  ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
	eststo: reghdfe `var'_D First_School Second_School   ///
		,a(Century town_id##c.Century  ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	

	
		* FE Log
	

	
		
	eststo: reghdfe ln`var' First_School    ///
		,a(Century town_id##c.Century  ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
	
		
	eststo: reghdfe ln`var' First_School Second_School   ///
		,a(Century town_id##c.Century   ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
	
		
	
			
* FE Share

		

		
	eststo: reghdfe Share_`var' First_School    ///
		,a(Century town_id##c.Century  ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		

		
	eststo: reghdfe Share_`var' First_School Second_School   ///
		,a(Century town_id##c.Century  ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
	
	

		
	
	
	 
}
	// for inspection
	esttab, drop(_cons ) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
		stats(localitytrend econ rel education ///
		r2_a N MEAN, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
		"Adj. R2" "Observations" "Mean") fmt(a a a a  %9.3f %9.0fc %9.3f)) ///
		coeflabels (School "Finishing school\(\_it\)" )
	// for export	
	esttab using "$tables/C5_`var'.tex" ///
			, replace booktabs fragment ///
			star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
			coeflabels (First_School "First finishing school\$_{it}\$" Second_School "Second finishing school\$_{it}\$") ///
			nomtitles nonumbers noobs nonote nogaps noline drop(_cons) ///
			stats(MEAN, label("Mean, untreated") fmt(%9.3f))	///
			substitute(\_ _) 
				
	
}
// bring panels together
		#delimit ;
		esttab using "$tables/C5_Panel.tex", replace booktabs
			cells(none) nonote noobs nomtitles ///
			mgroups("\$\mathbb{I}[Women>0]\$" "log Women" "Share Women", pattern(1 0 1 0 1 0) 
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
			prefoot(
			\multicolumn{@span}{l}{\emph{Panel A: Non-Noble Seculars}} \\ 
			\panelinput{"Tables/C5_NonRoyalReligion"} 
			\midrule \multicolumn{@span}{l}{\emph{Panel B: Nobility}} \\ 			
			\panelinput{"Tables/C5_Royals"} \midrule )
			substitute(\_ _)	
		stats(localitytrend econ rel education ///
		N, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
		"Observations" ) fmt(a a a a  %9.0fc )) ///
		coeflabels (School "Finishing school\(\_it\)" )
		;
		#delimit cr

		
sort town_id Century
cap drop SD_* Schools_it
gen Schools_it = School
replace Schools_it = 4 if School>4
su Schools_it

forvalues t = 1(1)`r(max)' {
	gen SD_`t' = (Schools_it==`t')
	}
la var SD_1 "One School"
la var SD_2 "Two Schools"
la var SD_3 "Three Schools"
la var SD_4 "Four Schools"

eststo clear
qui foreach var of varlist NonRoyalReligion_D Royals_D {
eststo: reghdfe `var' SD_1 SD_2 SD_3 SD_4    ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 
		
estimates store `var'
}		
esttab ,  star(* 0.1 ** 0.05 *** 0.01)		

coefplot 	(NonRoyalReligion_D, offset(0.1)) ///
			(Royals_D) ///
			, drop(_cons) xline(0) ///
			p1(label(Non-Noble Seculars)) p2(label(Royals)) p3(label(Activist)) p4(label(Royals)) /// 
			legend(position(6) rows(2))
	

graph export "$figures/C4_Figure.png", replace width(1000)
