use "$data/DNB_Panel.dta", clear

keep if Latitude!=.
********************************************************************************
*** Spatial Standard Errors
********************************************************************************
foreach var of varlist  NonRoyalReligion {

eststo clear
qui {
	
	
	
	* FE DUMMY
	cap drop yhat xhat
	reghdfe `var'_D ,a(Century town_id##c.Century ) cl(town_id) resid(yhat)
	reghdfe School_Dummy ,a(Century town_id##c.Century ) cl(town_id) resid(xhat)
	eststo: acreg yhat xhat, id(town_id) time(Century) latitude(Latitude) longitude(Longitude) dist(100) spatial
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
	cap drop yhat xhat	
	reghdfe `var'_D ///
		,a(Century town_id##c.Century Match_ID##Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) resid(yhat)
	reghdfe  School_Dummy ///
		,a(Century town_id##c.Century Match_ID##Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) resid(xhat)
	eststo: acreg yhat xhat, id(town_id) time(Century) latitude(Latitude) longitude(Longitude) dist(100) spatial	
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local psmatch "Yes"

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
	
		* FE Log
	
	cap drop yhat xhat	
	 reghdfe ln`var' ,a(Century town_id##c.Century ) cl(town_id) resid(yhat)
	 reghdfe School_Dummy ,a(Century town_id##c.Century ) cl(town_id) resid(xhat)
	 eststo: acreg yhat xhat, id(town_id) time(Century) latitude(Latitude) longitude(Longitude) dist(100) spatial		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
	cap drop yhat xhat	
	reghdfe ln`var'  ///
		,a(Century town_id##c.Century Match_ID##Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century Match_ID##Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) resid(yhat)
	reghdfe School_Dummy ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) resid(xhat)
	eststo: acreg yhat xhat, id(town_id) time(Century) latitude(Latitude) longitude(Longitude) dist(100) spatial
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local psmatch "Yes"

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
			
* FE Share

	 cap drop yhat xhat	
	 reghdfe Share_`var' ,a(Century town_id##c.Century ) cl(town_id) resid(yhat)
	 reghdfe School_Dummy ,a(Century town_id##c.Century ) cl(town_id) resid(xhat)
	 eststo: acreg yhat xhat, id(town_id) time(Century) latitude(Latitude) longitude(Longitude) dist(100) spatial	
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
	cap drop yhat xhat	
	reghdfe Share_`var'  ///
		,a(Century town_id##c.Century Match_ID##Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) resid(yhat)
	reghdfe School_Dummy ///
		,a(Century town_id##c.Century Match_ID##Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) resid(xhat)
	eststo: acreg yhat xhat, id(town_id) time(Century) latitude(Latitude) longitude(Longitude) dist(100) spatial	
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local psmatch "Yes"

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
	
	
	 
}
	// for inspection
	esttab, keep(xhat) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
		stats(localitytrend econ rel education ///
		r2_a N MEAN, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
		"Adj. R2" "Observations" "Mean") fmt(a a a a  %9.3f %9.0fc %9.3f)) ///
		coeflabels (xhat "Finishing school\(\_it\)" )
	// for export	
	esttab using "$tables/E1_`var'.tex" ///
			, replace booktabs fragment ///
			star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
			coeflabels (xhat "Finishing school\$_{it}\$" ) ///
			nomtitles nonumbers noobs nonote nogaps noline keep(xhat) ///
			substitute(\_ _) ///
			stats(MEAN, label("Mean, untreated") fmt(%9.3f))	
	
}
// bring panels together
		#delimit ;
		esttab using "$tables/E1_Panel.tex", replace booktabs
			cells(none) nonote noobs nomtitles ///
			mgroups("\$\mathbb{I}[Women>0]\$" "log Women" "Share Women", pattern(1 0 1 0 1 0) 
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
			prefoot(
			\multicolumn{@span}{l}{\emph{Panel A: Non-Noble Seculars}} \\ 
			\panelinput{"Tables/E1_NonRoyalReligion"} 
			 \midrule )
			substitute(\_ _)	
		stats(localitytrend econ rel education psmatch ///
		N, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
		"Matching on 1600 covariates" "Observations" ) fmt(a a a a a %9.0fc )) ///
		coeflabels (School "Finishing school\(\_it\)" )
		;
		#delimit cr


********************************************************************************
*** Spatial Spillover
********************************************************************************		
use "$data/DNB_Panel.dta", clear	
cap drop _merge
tempfile temp data coor
shp2dta using "$data/NonSpillover.shp", data(`data') coor(`coor') replace
merge m:1 town_id using `data', keepusing(town_id)

gen Spillover_Sample = 1 if GirlSchool==1
replace Spillover_Sample = 1 if _merge==3

	
foreach var of varlist  NonRoyalReligion  {

eststo clear
qui {
	
	
	
	* FE DUMMY
	
	
	eststo: reghdfe `var'_D School_Dummy ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local spillover ""

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
	
	eststo: reghdfe `var'_D School_Dummy ///
		if Spillover_Sample==1 ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local spillover "Yes"

		su `var'_D if School_Dummy==0&e(sample)&Post_30yr==1&Spillover_Sample==1
		estadd scalar MEAN = `r(mean)'			
		
	
		* FE Log
	

		
	eststo: reghdfe ln`var' School_Dummy ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	
		estadd local spillover ""

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'			
		
	
		
	eststo: reghdfe ln`var' School_Dummy ///
		if Spillover_Sample==1 ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	
		estadd local spillover "Yes"

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1&Spillover_Sample==1
		estadd scalar MEAN = `r(mean)'	
			
* FE Share

		
	eststo: reghdfe Share_`var' School_Dummy ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local spillover ""

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
	
		
	eststo: reghdfe Share_`var' School_Dummy ///
		if Spillover_Sample==1 ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local spillover "Yes"

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1&Spillover_Sample==1
		estadd scalar MEAN = `r(mean)'	
	
	
	 
}
	// for inspection
	esttab, drop(_cons ) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
		stats(localitytrend econ rel education spillover ///
		r2_a N MEAN, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" "Non-Spillover sample" ///
		"Adj. R2" "Observations" "Mean") fmt(a a a a s %9.3f %9.0fc %9.3f)) ///
		coeflabels (School "Finishing school\(\_it\)" )
	
	
// for export	
	esttab using "$tables/E2_`var'.tex" ///
			, replace booktabs fragment ///
			star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
			coeflabels (School_Dummy "Finishing school\$_{it}\$" SchoolD_Post "Finishing school x post" Mona_Post "Monasteries x post") ///
			nomtitles nonumbers noobs nonote nogaps noline drop(_cons) ///
			stats(MEAN, label("Mean, untreated") fmt(%9.3f))	///
			substitute(\_ _) 
				
	
}
// bring panels together
		#delimit ;
		esttab using "$tables/E2_Panel.tex", replace booktabs
			cells(none) nonote noobs nomtitles ///
			mgroups("\$\mathbb{I}[Women>0]\$" "log Women" "Share Women", pattern(1 0 1 0 1 0) 
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
			prefoot(
			\multicolumn{@span}{l}{\emph{Panel A: Non-Noble Seculars}} \\ 
			\panelinput{"Tables/E2_NonRoyalReligion"} 
			\midrule )
			substitute(\_ _)	
		stats(localitytrend econ rel education spillover ///
		N, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" "Non-Spillover sample" ///
		"Observations" ) fmt(a a a a a %9.0fc )) ///
		coeflabels (School "Finishing school\(\_it\)" )
		;
		#delimit cr
		
********************************************************************************
*** Spatial Spillover
********************************************************************************	

cap drop _merge
la var Royals "Royals"
la var NonRoyalReligion "Non-Noble Seculars"
la var TW "Teachers & Writers"
la var Writer "Writers"
la var Activist "Activists"
la var UnMarried "Unmarried women"

local reps = 200

merge 1:1 town_id Century using "$data/Randomization.dta"
qui forvalues r = 1(1)`reps' {
replace School_Dummy_`r' = 0 if _merge==1
}


foreach var of varlist NonRoyalReligion  Royals  {

eststo: reghdfe `var'_D School_Dummy ///
	,a(Century town_id##c.Century ///
	Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
	Battle##Century c.lnDW##Century ///
	c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
	c.Winter_1650##Century ///
	c.lnPop##Century ///
	OldSchool##Century Uni_1650#Century ///
	MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 
	
local r = `reps'+1	
mat Z = J(`r',3,.)
mat Z[1,1] = 0
mat Z[1,2] = _b[School_Dummy]
mat Z[1,3] = abs(_b[School_Dummy]/_se[School_Dummy])

forvalues r = 1(1)`reps' {
	di `r'
	qui {
		
		
		
		* FE DUMMY
		
			
		reghdfe `var'_D School_Dummy_`r' ///
			,a(Century town_id##c.Century ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 
		mat Z[`r'+1,1] = `r'
		mat Z[`r'+1,2] = _b[School_Dummy_`r']
		mat Z[`r'+1,3] = abs(_b[School_Dummy_`r']/_se[School_Dummy_`r'])

			
			
	}		
	
	
	
	 
}



cap drop Z1-Z3
svmat Z

preserve
	sort Z2
	keep if Z2!=.
	sum Z1
	local max = `r(N)'-1
	cap drop n
	gen n = _n/`max'
	sum Z2 if Z1==0
	local S =  `r(mean)'
	local b = `S'
	sum Z2 if Z1==0
	if `b' >0 {
	count if Z2 > `b' &Z1!=0
	}
	if `b'<0 {
		count if Z2 < `b' &Z1!=0
	}
	if `r(N)'>0 {
		local p1 = floor(`r(N)'/`max'*1000)/1000
		}
	else{
		local p1 = ".000"
				}
		di "`p1'"
	count if abs(Z2)>abs(`b')&Z1!=0
		if `r(N)'>0 {
		local p3 = floor(`r(N)'/`max'*1000)/1000
				}
	else{
		local p3 = ".000"
		
		}		
		di "`p3'"
		
	local pp1 : di %4.3f `p1'
	local pp3 : di %4.3f `p3'
		
	#delimit ;
		 *twoway (scatter n Z2, sort mlabposition(9) mlabel(Z1)),;
		 twoway (scatter n Z2, sort mlabposition(9)),
		 xtitle(Point Estimate) xline(`b') title("`: variable label `var''") ytitle(CDF) /*subtitle(Using Two Month Windows from 1953 to 2007) */
		 note("Fraction of values greater (one-tailed test): `pp1'" "Fraction of absolute values greater (two-tailed test): `pp3'" ) 
		 legend(off); 
	#delimit cr
		
	graph save "$figures/Figure_2_Randomization_`var'.gph", replace
	
restore
}
graph combine ///
	"$figures/Figure_2_Randomization_NonRoyalReligion.gph" ///
	"$figures/Figure_2_Randomization_Royals.gph" ///
	, cols(2) xcommon
			
graph export "$figures/E1_Figure.png", replace width(1000) 



