
use "$data/DNB_Panel.dta", clear

********************************************************************************
*** DiD Graphs (Girl School)	
********************************************************************************


forvalues n = 8(0.5)19.5 {
	di `n'
	local n = `n'*10
	
	
	cap drop M13_`n'
	if `n'!=160 {
		gen M13_`n'=GirlSchool*(Century==`n'/10) 
		local t = `n'*10
		la var M13_`n' `t'
		
		
	}
}

		
*************************************		
*** DiD Graphs (Reduced Form)	
*** Without Covariates

mat LL = J(30,10,.)
qui reghdfe NonRoyalReligion_D M13_*  ///
			,a(Century town_id ) cl(town_id) 
local n = 0
forvalues c = 80(5)195 {
	local n = `n'+1
	if `c'!=160 {
		mat LL[`n',1]=`c'
		mat LL[`n',2]=_b[M13_`c']
		mat LL[`n',3]=_b[M13_`c']+1.96*_se[M13_`c']
		mat LL[`n',4]=_b[M13_`c']-1.96*_se[M13_`c']
	}
	if `c'==160 {
		mat LL[`n',1]=`c'
		mat LL[`n',2]=0
		mat LL[`n',3]=0
		mat LL[`n',4]=0
	}
}


*** With Covariates
 reghdfe NonRoyalReligion_D M13_*  ///
			,a(Century town_id ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 
local n = 0
forvalues c = 80(5)195 {
	local n = `n'+1
	if `c'!=160 {
		mat LL[`n',1]=`c'
		mat LL[`n',5]=_b[M13_`c']
		mat LL[`n',6]=_b[M13_`c']+1.96*_se[M13_`c']
		mat LL[`n',7]=_b[M13_`c']-1.96*_se[M13_`c']
	}
	if `c'==160 {
		mat LL[`n',1]=`c'
		mat LL[`n',5]=0
		mat LL[`n',6]=0
		mat LL[`n',7]=0
	}
}


mat list LL
cap drop LL*
svmat LL
replace LL1 = LL1*10
// twoway (line LL2 LL1) (rcap LL3 LL4 LL1)  (line LL5 LL1)  , yline(0) xline(1600) xlabel(800(100)1950) legend(order( 1 "# Schools" 3 "School Dummy"))

twoway (line LL2 LL1 if LL1>=1300) (rcap LL3 LL4 LL1 if LL1>=1300) (line LL5 LL1 if LL1>=1300)  , yline(0) xline(1626) xlabel(1300(100)1950) /// 
	legend(order( 1 "Without controls" 3 "With all controls"))  ///
	xtitle(Century) ytitle(Point estimate)  title("Impact on notable women") /// 
	legend(position(6) cols(2) size(medsmall)) 	
	
	
graph export "$figures/G1a_Figure.png", replace width(2000)
	

*************************************		
*** DiD Graphs (Girl School)	
*** Without Covariates


	forvalues n = 8(0.5)19.5 {
	di `n'
	local n = `n'*10
	
	
	cap drop M13_`n'
	if `n'!=160 {
		gen M13_`n'=Schools*(Century==`n'/10) 
		local t = `n'*10
		la var M13_`n' `t'
		
		
	}
}

		
*************************************		
*** DiD Graphs (Reduced Form)	
*** Without Covariates

mat LL = J(30,10,.)
qui reghdfe NonRoyalReligion_D M13_*  ///
			,a(Century town_id ) cl(town_id) 
local n = 0
forvalues c = 80(5)195 {
	local n = `n'+1
	if `c'!=160 {
		mat LL[`n',1]=`c'
		mat LL[`n',2]=_b[M13_`c']
		mat LL[`n',3]=_b[M13_`c']+1.96*_se[M13_`c']
		mat LL[`n',4]=_b[M13_`c']-1.96*_se[M13_`c']
	}
	if `c'==160 {
		mat LL[`n',1]=`c'
		mat LL[`n',2]=0
		mat LL[`n',3]=0
		mat LL[`n',4]=0
	}
}


*** With Covariates
 reghdfe NonRoyalReligion_D M13_*  ///
			,a(Century town_id  ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century c.lnDW##Century ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 
local n = 0
forvalues c = 80(5)195 {
	local n = `n'+1
	if `c'!=160 {
		mat LL[`n',1]=`c'
		mat LL[`n',5]=_b[M13_`c']
		mat LL[`n',6]=_b[M13_`c']+1.96*_se[M13_`c']
		mat LL[`n',7]=_b[M13_`c']-1.96*_se[M13_`c']
	}
	if `c'==160 {
		mat LL[`n',1]=`c'
		mat LL[`n',5]=0
		mat LL[`n',6]=0
		mat LL[`n',7]=0
	}
}


mat list LL
cap drop LL*
svmat LL
replace LL1 = LL1*10
// twoway (line LL2 LL1) (rcap LL3 LL4 LL1)  (line LL5 LL1)  , yline(0) xline(1600) xlabel(800(100)1950) legend(order( 1 "# Schools" 3 "School Dummy"))

twoway (line LL2 LL1 if LL1>=1300) (rcap LL3 LL4 LL1 if LL1>=1300) (line LL5 LL1 if LL1>=1300)  , yline(0) xline(1626) xlabel(1300(100)1950) /// 
	legend(order( 1 "Without controls" 3 "With all controls"))  ///
	xtitle(Century) ytitle(Point estimate)  title("Impact on notable women") /// 
	legend(position(6) cols(2) size(medsmall)) 		
	
	
	graph export "$figures/G1b_Figure.png", replace width(2000)
	
	
	
	
********************************************************************************
*** DiD Estimates
********************************************************************************
			
cap drop School_Post 
cap drop Schools_Post 
gen School_Post = GirlSchool*Post_30yr
gen Schools_Post = Schools*Post_30yr			
			
foreach var of varlist  NonRoyalReligion Royals {

eststo clear
qui {
	
	
	
	* FE DUMMY
	
	 eststo: reghdfe `var'_D School_Post ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su `var'_D if School_Post==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		

	 eststo, pref(ext) : reghdfe `var'_D Schools_Post ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su `var'_D if School_Post==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
		
	eststo: reghdfe `var'_D School_Post ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

		su `var'_D if School_Post==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'						
		
	eststo, pref(ext) : reghdfe `var'_D Schools_Post ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"

		su `var'_D if School_Post==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
		
eststo: reghdfe `var'_D School_Post ///
		,a(Century town_id##c.Century Match_ID##Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local psmatch "Yes"

		su `var'_D if School_Post==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'						
		
	eststo, pref(ext) : reghdfe `var'_D Schools_Post ///
		,a(Century town_id##c.Century Match_ID##Century  ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local psmatch "Yes"

		su `var'_D if School_Post==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'			
		
	

		* FE Log
	
		
	 eststo: reghdfe ln`var' School_Post ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
	 eststo, pref(ext) : reghdfe ln`var' Schools_Post ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
	
		
	eststo: reghdfe ln`var' School_Post ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
	
	eststo, pref(ext) : reghdfe ln`var' Schools_Post ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	

	eststo: reghdfe ln`var' School_Post ///
		,a(Century town_id##c.Century Match_ID##Century  ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local psmatch "Yes"

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'	
	
	eststo, pref(ext) : reghdfe ln`var' Schools_Post ///
		,a(Century town_id##c.Century Match_ID##Century  ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	
		estadd local psmatch "Yes"

		su ln`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		
* FE Share

		
	 eststo: reghdfe Share_`var' School_Post ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		

	 eststo, pref(ext): reghdfe Share_`var' Schools_Post ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'		

	eststo: reghdfe Share_`var' School_Post  ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"		
		
		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'						
		
	eststo, pref(ext): reghdfe Share_`var' Schools_Post  ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"		
		
		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'					
	
	eststo: reghdfe Share_`var' School_Post  ///
		,a(Century town_id##c.Century Match_ID##Century  ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	
		estadd local psmatch "Yes"
		
		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'						
		
	eststo, pref(ext): reghdfe Share_`var' Schools_Post  ///
		,a(Century town_id##c.Century Match_ID##Century  ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	
		estadd local psmatch "Yes"
		
		su Share_`var' if School_Dummy==0&e(sample)&Post_30yr==1
		estadd scalar MEAN = `r(mean)'			 
}
	// for inspection
	esttab est*, drop(_cons ) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
		stats(localitytrend econ rel education psmatch ///
		r2_a N MEAN, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" "Matching on 1600 covariates" ///
		"Adj. R2" "Observations" "Mean") fmt(a a a a a %9.3f %9.0fc %9.3f)) ///
		coeflabels (Schools_Post "Number of Schools \(\times\) Post 1650" School_Post "School \(\times\) Post 1650" )
	esttab ext*, drop(_cons ) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
		stats(localitytrend econ rel education psmatch ///
		r2_a N MEAN , label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" "Matching on 1600 covariates" ///
		"Adj. R2" "Observations" "Mean") fmt(a a a a a %9.3f %9.0fc %9.3f)) ///
		coeflabels (Schools_Post "Number of Schools \(\times\) Post 1650" School_Post "School \(\times\) Post 1650" )					
		
	esttab est* using "$tables/G1_`var'.tex" ///
			, replace booktabs fragment ///
			star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
			coeflabels(School_Post "Finishing school \(\times\) Post 1650") ///
			nomtitles nonumbers noobs nonote nogaps noline drop(_cons) ///
			substitute(\_ _) 					
			
	esttab ext* using "$tables/G1_`var'_ext.tex" ///
			, replace booktabs fragment ///
			star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
			coeflabels(Schools_Post "\# Finishing schools \(\times\) Post 1650") ///
			nomtitles nonumbers noobs nonote nogaps noline drop(_cons) ///
			substitute(\_ _) 											
		
}

// bring panels together
		#delimit ;
		esttab ext* using "$tables/G1_Panel.tex", replace booktabs
			cells(none) nonote noobs nomtitles ///
			mgroups("\$\mathbb{I}[Women>0]\$" "log Women" "Share Women", pattern(1 0 0 1 0 0 1 0 0) 
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
			prefoot(
			\multicolumn{@span}{l}{\emph{Panel A: Non-Noble Seculars}} \\ 
			\panelinput{"Tables/G1_NonRoyalReligion"} 
			\panelinput{"Tables/G1_NonRoyalReligion_ext"}
			\midrule \multicolumn{@span}{l}{\emph{Panel B: Nobility}} \\ 			
			\panelinput{"Tables/G1_Royals"} 
			\panelinput{"Tables/G1_Royals_ext"}\midrule )
			substitute(\_ _)	
		stats(localitytrend econ rel education psmatch ///
		N, label( "Unit trend" "City covariates \(\times\) period FE" ///
			"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" "Matching on 1600 covariates" ///
			"Observations" ) fmt(a a a a a %9.0fc )) ///
		coeflabels (School_Post "Finishing school \(\times\) Post 1650" )
		;
		#delimit cr

		
*** Table G2: Period specific treatment effects		

cap drop School_1*
sort town_id Century 
cap drop help
cap drop School_Opening
gen help = CENT if School_Dummy==1&School_Dummy[_n-1]==0&town_id==town_id[_n-1]
bysort town_id: egen School_Opening = max(help)

levelsof School_Opening, local(list)
foreach l of local list {
	local year = `l'
	gen School_`year' =  (School_Opening==`l')*(CENT>=`l')
	la var School_`year' "Finishing school by `year' \(\times\) post `year'"
	
	
}
		
		


foreach var of varlist  NonRoyalReligion  {

eststo clear
qui {
	
	
	
	* FE DUMMY
	
	 eststo: reghdfe `var'_D  School_1650 School_1700 School_1750 School_1800 School_1850 ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""


	
		
	eststo: reghdfe `var'_D  School_1650 School_1700 School_1750 School_1800 School_1850 ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
			
	eststo: reghdfe `var'_D  School_1650 School_1700 School_1750 School_1800 School_1850 ///
		,a(Century town_id##c.Century Match_ID##Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local psmatch "Yes"


		
	

		* FE Log
	
		
	 eststo: reghdfe ln`var'  School_1650 School_1700 School_1750 School_1800 School_1850 ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

	eststo: reghdfe ln`var'  School_1650 School_1700 School_1750 School_1800 School_1850 ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	

	eststo: reghdfe ln`var'  School_1650 School_1700 School_1750 School_1800 School_1850 ///
		,a(Century town_id##c.Century Match_ID##Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"
		estadd local psmatch "Yes"

		
* FE Share

		
	 eststo: reghdfe Share_`var'  School_1650 School_1700 School_1750 School_1800 School_1850 ,a(Century town_id##c.Century ) cl(town_id)
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ ""
		estadd local rel ""
		estadd local education ""

	eststo: reghdfe Share_`var'  School_1650 School_1700 School_1750 School_1800 School_1850  ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"		
		
	eststo: reghdfe Share_`var'  School_1650 School_1700 School_1750 School_1800 School_1850  ///
		,a(Century town_id##c.Century Match_ID##Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local rel "Yes"
		estadd local education "Yes"	
		estadd local psmatch "Yes"
	
	 
}
	// for inspection
	esttab est*, drop(_cons ) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
		stats(localitytrend econ rel education ///
		r2_a N MEAN, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" ///
		"Adj. R2" "Observations" "Mean") fmt(a a a a  %9.3f %9.0fc %9.3f)) ///
		coeflabels (Schools_Post "Number of Schools \(\times\) Post 1650" School_Post "School \(\times\) Post 1650" )

	esttab est* using "$tables/G2_`var'.tex" ///
			, replace booktabs fragment ///
			star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
			nomtitles nonumbers noobs nonote nogaps noline drop(_cons) ///
			substitute(\_ _) label					

}




// bring panels together
		#delimit ;
		esttab  using "$tables/G2_Panel.tex", replace booktabs
			cells(none) nonote noobs nomtitles ///
			mgroups("\$\mathbb{I}[Women>0]\$" "log Women" "Share Women", pattern(1 0 0 1 0 0 1 0 0) 
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
			prefoot(
			\multicolumn{@span}{l}{\emph{Panel A: Non-Noble Seculars}} \\ 
			\panelinput{"Tables/G2_NonRoyalReligion"} \midrule )
			substitute(\_ _)	
	stats(localitytrend econ rel education psmatch ///
	N, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Religious covariates \(\times\) period FE" "Educational covariates \(\times\) period FE" "Matching on 1600 covariates" ///
		"Observations" ) fmt(a a a a a %9.0fc )) ///
		coeflabels (School_Post "Finishing school \(\times\) Post 1650" )
		;
		#delimit cr


********************************************************************************
*** DiD Graphs Using the reformation as the explanatory variation
********************************************************************************


	
	
*** Adopt Reformation by 1650:
gen h1 = Reformation if Century==16.5
replace h1 = 0 if h1 ==.
bysort town_id: egen Refo_Dummy = max(h1)

forvalues n = 8(0.5)19.5 {
	di `n'
	local n = `n'*10
	
	
	cap drop DW_`n'
	cap drop RF_`n'
	if `n'!=160 {
		gen DW_`n'=lnDW*(Century==`n'/10) 
		gen RF_`n'=Refo_Dummy*(Century==`n'/10) 
		local t = `n'*10
		la var DW_`n' `t'
		la var RF_`n' `t'
		
		
	}
}

			
*************************************		
*** DiD Graphs (Reduced Form)	
*** Without Covariates

mat LL = J(30,10,.)
 reghdfe NonRoyalReligion_D DW_*  ///
			,a(Century town_id ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century  ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			) cl(town_id)  
local n = 0
forvalues c = 80(5)195 {
	local n = `n'+1
	if `c'!=160 {
		mat LL[`n',1]=`c'
		mat LL[`n',2]=_b[DW_`c']
		mat LL[`n',3]=_b[DW_`c']+1.96*_se[DW_`c']
		mat LL[`n',4]=_b[DW_`c']-1.96*_se[DW_`c']
	}
	if `c'==160 {
		mat LL[`n',1]=`c'
		mat LL[`n',2]=0
		mat LL[`n',3]=0
		mat LL[`n',4]=0
	}
}


*** With Covariates
 reghdfe Royals_D DW_*  ///
			,a(Century town_id ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century  ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			) cl(town_id) 
local n = 0
forvalues c = 80(5)195 {
	local n = `n'+1
	if `c'!=160 {
		mat LL[`n',1]=`c'
		mat LL[`n',5]=_b[DW_`c']
		mat LL[`n',6]=_b[DW_`c']+1.96*_se[DW_`c']
		mat LL[`n',7]=_b[DW_`c']-1.96*_se[DW_`c']
	}
	if `c'==160 {
		mat LL[`n',1]=`c'
		mat LL[`n',5]=0
		mat LL[`n',6]=0
		mat LL[`n',7]=0
	}
}


mat list LL
cap drop LL*
svmat LL
replace LL1 = LL1*10
// twoway (line LL2 LL1) (rcap LL3 LL4 LL1)  (line LL5 LL1)  , yline(0) xline(1600) xlabel(800(100)1950) legend(order( 1 "# Schools" 3 "School Dummy"))

twoway (line LL2 LL1) (rcap LL3 LL4 LL1) (line LL5 LL1)  , yline(0) xline(1600) xlabel(900(200)1900) /// 
	legend(order( 1 "Non-Noble Secular" 3 "Nobility"))  ///
	xtitle(Century) ytitle(Point estimate)  title("Reduced Form Estimate") /// 
	legend(position(6) cols(2) size(medsmall)) 	
	
graph save "figures/g1.gph", replace

		
*************************************		
*** DiD Graphs (OLS Form)	
*** Without Covariates

mat LL = J(30,10,.)
 reghdfe NonRoyalReligion_D RF_*  ///
			,a(Century town_id ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century  ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			) cl(town_id)  
local n = 0
forvalues c = 80(5)195 {
	local n = `n'+1
	if `c'!=160 {
		mat LL[`n',1]=`c'
		mat LL[`n',2]=_b[RF_`c']
		mat LL[`n',3]=_b[RF_`c']+1.96*_se[RF_`c']
		mat LL[`n',4]=_b[RF_`c']-1.96*_se[RF_`c']
	}
	if `c'==160 {
		mat LL[`n',1]=`c'
		mat LL[`n',2]=0
		mat LL[`n',3]=0
		mat LL[`n',4]=0
	}
}


*** With Covariates
 reghdfe Royals_D RF_*  ///
			,a(Century town_id ///
			Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
			Battle##Century  ///
			c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
			c.Winter_1650##Century ///
			c.lnPop##Century ///
			OldSchool##Century Uni_1650#Century ///
			) cl(town_id) 
local n = 0
forvalues c = 80(5)195 {
	local n = `n'+1
	if `c'!=160 {
		mat LL[`n',1]=`c'
		mat LL[`n',5]=_b[RF_`c']
		mat LL[`n',6]=_b[RF_`c']+1.96*_se[RF_`c']
		mat LL[`n',7]=_b[RF_`c']-1.96*_se[RF_`c']
	}
	if `c'==160 {
		mat LL[`n',1]=`c'
		mat LL[`n',5]=0
		mat LL[`n',6]=0
		mat LL[`n',7]=0
	}
}


mat list LL
cap drop LL*
svmat LL
replace LL1 = LL1*10
// twoway (line LL2 LL1) (rcap LL3 LL4 LL1)  (line LL5 LL1)  , yline(0) xline(1600) xlabel(800(100)1950) legend(order( 1 "# Schools" 3 "School Dummy"))

twoway (line LL2 LL1) (rcap LL3 LL4 LL1) (line LL5 LL1)  , yline(0) xline(1600) xlabel(900(200)1900) /// 
	legend(order( 1 "Non-Noble Secular" 3 "Nobility"))  ///
	xtitle(Century) ytitle(Point estimate)  title("OLS Estimate of Reformation") /// 
	legend(position(6) cols(2) size(medsmall)) 		
	
graph save "$figures/g2.gph", replace	

graph combine "$figures/g2.gph" "$figures/g1.gph", ycommon
	
	
	graph export "$figures/G2_Figure.png", replace width(2000)
	
			

********************************************************************************
* Differences-in-Differences Estimation: Switch to Protestantism as a cultural shock to the role of women in society
********************************************************************************

cap drop DW_Post 
cap drop School_Post
gen DW_Post = lnDW*Post_30yr
gen School_Post = GirlSchool*Post_30yr

cap drop RF 
cap drop Refo 
cap drop Refo_Post
gen RF = 1 if Reformation==1&Century==16
bysort town_id: egen Refo = max(RF)
replace Refo = 0 if Refo==.
gen Refo_Post = Refo*Post_30yr


foreach var of varlist  NonRoyalReligion  Royals {

eststo clear
qui {
	
	
	
	* FE DUMMY
	eststo: reghdfe `var'_D Refo_Post ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century  ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		) cl(town_id) 

		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local education "Yes"	
		
		reghdfe Reformation lnDW  lnPop Spring_1650 Summer_1650 Fall_1650 Winter_1650 if Century==16.5 /// 
			, a(Hanse bishop Jewish Progrom Battle  OldSchool Uni_1650  ) cl(town_id)	
		test lnDW		
		local F = r(F)
		di `F'		
	eststo: reghdfe `var'_D DW_Post ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century  ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local education "Yes"	
		estadd scalar MEAN = `F'

	
		* FE Log
	eststo: reghdfe ln`var' Refo_Post ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century  ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local education "Yes"		
	
	reghdfe Reformation lnDW  lnPop Spring_1650 Summer_1650 Fall_1650 Winter_1650 if Century==16.5 /// 
			, a(Hanse bishop Jewish Progrom Battle  OldSchool Uni_1650  ) cl(town_id)	
		test lnDW		
		local F = r(F)
		di `F'	
	
	eststo: reghdfe ln`var' DW_Post ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century  ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local education "Yes"	
		estadd scalar MEAN = `F'

		
		
* FE Share

		eststo: reghdfe Share_`var' Refo_Post  ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century  ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		) cl(town_id) 
		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local education "Yes"	
		
	reghdfe Reformation lnDW  lnPop Spring_1650 Summer_1650 Fall_1650 Winter_1650 if Century==16.5 /// 
			, a(Hanse bishop Jewish Progrom Battle  OldSchool Uni_1650  ) cl(town_id)	
		test lnDW		
		local F = r(F)
		di `F'
	eststo: reghdfe Share_`var' DW_Post  ///
		,a(Century town_id##c.Century ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century  ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		) cl(town_id) 

		
		estadd local localityFE "Yes"
		estadd local localitytrend "Yes"
		estadd local econ "Yes"
		estadd local education "Yes"	

		estadd scalar MEAN = `F'

	
	
	
	
	 
}
	// for inspection
	esttab, drop(_cons ) star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se /// 
		stats(localitytrend econ education ///
		N MEAN, label( "Unit trend" "City covariates \(\times\) period FE" ///
		"Educational covariates \(\times\) period FE" ///
		"Observations" "F-Test") fmt(a a a  %9.0fc %9.3fc )) ///
		coeflabels (School "Finishing school\(\_it\)" ) 
// for export	
	esttab using "$tables/G3_`var'.tex" ///
			, replace booktabs fragment ///
			star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
			coeflabels(DW_Post "log Distance to Wittenberg \(\times\) Post 1650 " ///
			Refo_Post "Reformation in City \(\times\) Post 1650 ") ///
			nomtitles nonumbers noobs nonote nogaps noline drop(_cons) ///
			substitute(\_ _) 
	
}
// bring panels together
#delimit ;
esttab using "$tables/G3_Panel.tex", replace booktabs
	cells(none) nonote noobs nomtitles ///
	mgroups("\$\mathbb{I}[Women>0]\$" "log Women" "Share Women", pattern(1 0 1 0 1 0) 
	prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
	prefoot(
	\multicolumn{@span}{l}{\emph{Panel A: Non-Noble Seculars}} \\ 
	\panelinput{"Tables/G3_NonRoyalReligion"} 
	\midrule \multicolumn{@span}{l}{\emph{Panel B: Nobility}} \\ 			
	\panelinput{"Tables/G3_Royals"} \midrule )
	substitute(\_ _)	
stats(localitytrend econ education ///
N MEAN, label( "Unit trend" "City covariates \(\times\) period FE" ///
"Educational covariates \(\times\) period FE" ///
"Observations" "F-Test") fmt(a a a  %9.0fc %9.3fc )) ///
coeflabels (School "Finishing school\(\_it\)" )
;
#delimit cr



********************************************************************************
* Differences-in-Differences Estimation: Monasteries in 1300
********************************************************************************

use "$data/DNB_Panel.dta", clear

cap drop Mona_Post 
cap drop Schools_Post
gen Mona_Post = Monastries_1300*Post_30yr
gen Schools_Post = Schools*Post_30yr


*** Figures

forvalues n = 8(0.5)19.5 {
di `n'
local n = `n'*10


cap drop M13_`n'
if `n'!=160 {
	gen M13_`n'=Monastries_1300*(Century==`n'/10) 
	local t = `n'*10
	la var M13_`n' `t'
	
	
}
}

		
*************************************		
*** DiD Graphs (Reduced Form)	
*** Without Covariates

mat LL = J(30,10,.)
qui reghdfe NonRoyalReligion_D M13_*  ///
		,a(Century town_id ) cl(town_id) 
local n = 0
forvalues c = 80(5)195 {
local n = `n'+1
if `c'!=160 {
	mat LL[`n',1]=`c'
	mat LL[`n',2]=_b[M13_`c']
	mat LL[`n',3]=_b[M13_`c']+1.96*_se[M13_`c']
	mat LL[`n',4]=_b[M13_`c']-1.96*_se[M13_`c']
}
if `c'==160 {
	mat LL[`n',1]=`c'
	mat LL[`n',2]=0
	mat LL[`n',3]=0
	mat LL[`n',4]=0
}
}


*** With Covariates
reghdfe NonRoyalReligion_D M13_*  ///
		,a(Century town_id ///
		Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
		Battle##Century c.lnDW##Century ///
		c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
		c.Winter_1650##Century ///
		c.lnPop##Century ///
		OldSchool##Century Uni_1650#Century ///
		MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 
local n = 0
forvalues c = 80(5)195 {
local n = `n'+1
if `c'!=160 {
	mat LL[`n',1]=`c'
	mat LL[`n',5]=_b[M13_`c']
	mat LL[`n',6]=_b[M13_`c']+1.96*_se[M13_`c']
	mat LL[`n',7]=_b[M13_`c']-1.96*_se[M13_`c']
}
if `c'==160 {
	mat LL[`n',1]=`c'
	mat LL[`n',5]=0
	mat LL[`n',6]=0
	mat LL[`n',7]=0
}
}


mat list LL
cap drop LL*
svmat LL
replace LL1 = LL1*10
// twoway (line LL2 LL1) (rcap LL3 LL4 LL1)  (line LL5 LL1)  , yline(0) xline(1600) xlabel(800(100)1950) legend(order( 1 "# Schools" 3 "School Dummy"))

twoway (line LL2 LL1) (rcap LL3 LL4 LL1) (line LL5 LL1)  , yline(0) xline(1600) xlabel(800(100)1950) /// 
legend(order( 1 "Without controls" 3 "With all controls"))  ///
xtitle(Century) ytitle(Point estimate)  title("Impact on notable women") /// 
legend(position(6) cols(2) size(medsmall)) 	


graph export "$figures/G3a_Figure.png", replace width(2000)



*** Bandwidth				
	mat BW = J(50,11,.)
		local n1 = 0
		qui forvalues n = 5(5)75 {
		local ++n1
		
		
			reghdfe NonRoyalReligion_D Mona_Post if abs(Dist_Boundary)<`n' ///
				,a(Century town_id##c.Century ///
				Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
				Battle##Century c.lnDW##Century ///
				c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
				c.Winter_1650##Century ///
				c.lnPop##Century ///
				OldSchool##Century Uni_1650#Century ///
				MR_2##Century Catholic##Century) cl(town_id) 
			
			mat BW[`n1',1]=`n'
			mat BW[`n1',2]=_b[Mona_Post]
			mat BW[`n1',3]=_b[Mona_Post]+1.96*_se[Mona_Post]
			mat BW[`n1',4]=_b[Mona_Post]-1.96*_se[Mona_Post]
		
			}
	cap drop BW*		
	svmat BW


	twoway (scatter BW2 BW1) (rcap BW3 BW4 BW1) , title("Impact on notable women") /// 
		xtitle("Bandwidth around the religious divide (km) ") ytitle("Point Estimate") ///
		legend(order(1 "Monastries X Post 1650" 2 "95% confidence interval") position(6) cols(2) size(medsmall)) 
					
graph export "$figures/G3b_Figure.png", replace width(2000)