use "$data/DNB_Panel.dta", clear


//------------------------------------------------------------------------
*** Figure 7: Impact of native and migrated women on subsequent notable women
//------------------------------------------------------------------------	
tab Century Death_NonRoyalReligion

*replace Death_NonRoyalReligion = 0  if Death_NonRoyalReligion<0


*** Create Immigration (starting 16th)
sort town_id CENT // Sort
cap drop I_Treat
cap drop DNRR
drop if Century==.
tab Century Death_NonRoyalReligion
gen DNRR = Death_NonRoyalReligion
*replace DNRR = 0 if Century<16
bysort town_id: gen I_Treat = sum(DNRR)
replace I_Treat = 1 if I_Treat>0
tab Century I_Treat

*** Create first born (starting 16th)
sort town_id CENT // Sort
cap drop B_Treat
cap drop DNRR
drop if Century==.
tab Century NonRoyalReligion
gen DNRR = NonRoyalReligion
*replace DNRR = 0 if Century<16
bysort town_id: gen B_Treat = sum(DNRR)
replace B_Treat = 1 if B_Treat>0
tab Century B_Treat

cap drop Death_NRR_D
gen Death_NRR_D = (Death_NonRoyalReligion>0)

	mat LL = J(12,10,.)
	local r=0
foreach dvar of varlist  I_Treat  {
	local n = 0
	local n1 = 0

	cap drop Treat
	cap drop Lag
	cap drop Lag_End
	gen Treat = 0 if `dvar'==1&`dvar'[_n-1]==0
	gen Lag = Century if Treat==0
	bysort town_id: egen Lag_End = max(Lag)
	sort town_id CENT
	replace Lag = Century-Lag_End

	cap drop Lead_Lag*
	cap drop Window
	cap drop wlabel
	gen Lead_Lag = .
	gen Window = 0 if Treat==0
	cap drop T_LL_*
	
	local n = 0 
	qui forvalues t = -4(0.5)1.5 {
		replace Lead_Lag = `n' if Lag==`t'&Lag_End!=.
		replace Window = `t' if Lag==`t'&Lag_End!=.
		*label define wlabel `n' "`t'", add
		gen T_LL_`n' = (Lead_Lag==`n')
		la var T_LL_`n' "`t'"
		local n = `n'+1
	}
	
	

	// Non-Royals
	eststo clear
	eststo: reghdfe School_Dummy ///
		T_LL_1 T_LL_2 T_LL_3 T_LL_4 T_LL_5 T_LL_6  ///
		T_LL_8 T_LL_9 T_LL_10 T_LL_11   ///
		if Window!=. ///
		,a(Century town_id ///
				Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
				Battle##Century c.lnDW##Century ///
				c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
				c.Winter_1650##Century ///
				c.lnPop##Century ///
					OldSchool##Century Uni_1650#Century ///
				MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 
		

	forvalues c = -3.5(0.5)1.5 {
		local n1 = `n1'+1
		if `c' == -4 {
			mat LL[`n1',1]=`c'
			mat LL[`n1',2+`r']=0
			mat LL[`n1',3+`r']=0
			mat LL[`n1',4+`r']=0
		}
		if `c'!=-0.5 & `c'!=-4 {
			mat LL[`n1',1]=`c'
			mat LL[`n1',2+`r']=_b[T_LL_`n1']
			mat LL[`n1',3+`r']=_b[T_LL_`n1']+1.96*_se[T_LL_`n1']
			mat LL[`n1',4+`r']=_b[T_LL_`n1']-1.96*_se[T_LL_`n1']
		}
		if `c'==-0.5 {
			mat LL[`n1',1]=`c'
			mat LL[`n1',2+`r']=0
			mat LL[`n1',3+`r']=0
			mat LL[`n1',4+`r']=0
		}
		local n = `n'+1
	}
	local r = `r'+3
	di `r'
}	
	
	
foreach dvar of varlist  B_Treat  {
	local n = 0
	local n1 = 0

	cap drop Treat
	cap drop Lag
	cap drop Lag_End
	gen Treat = 0 if `dvar'==1&`dvar'[_n-1]==0
	gen Lag = Century if Treat==0
	bysort town_id: egen Lag_End = max(Lag)
	sort town_id CENT
	replace Lag = Century-Lag_End

	cap drop Lead_Lag*
	cap drop Window
	cap drop wlabel
	gen Lead_Lag = .
	gen Window = 0 if Treat==0
	cap drop T_LL_*
	
	local n = 0 
	qui forvalues t = -4(0.5)1.5 {
		replace Lead_Lag = `n' if Lag==`t'&Lag_End!=.
		replace Window = `t' if Lag==`t'&Lag_End!=.
		*label define wlabel `n' "`t'", add
		gen T_LL_`n' = (Lead_Lag==`n')
		la var T_LL_`n' "`t'"
		local n = `n'+1
	}
	
	

	// Non-Royals
	eststo clear
	eststo: reghdfe School_Dummy ///
		T_LL_1 T_LL_2 T_LL_3 T_LL_4 T_LL_5 T_LL_6  ///
		T_LL_8 T_LL_9 T_LL_10 T_LL_11   ///
		if Window!=. ///
		,a(Century town_id ///
				Hanse##Century bishop##Century Jewish##Century Progrom##Century /// 
				Battle##Century c.lnDW##Century ///
				c.Spring_1650##Century c.Summer_1650##Century c.Fall_1650##Century ///
				c.Winter_1650##Century ///
				c.lnPop##Century ///
					OldSchool##Century Uni_1650#Century ///
				MR_2##Century Catholic##Century c.lnDistBoundary##Century) cl(town_id) 
		

	forvalues c = -3.5(0.5)1.5 {
		local n1 = `n1'+1
		if `c' == -4 {
			mat LL[`n1',1]=`c'
			mat LL[`n1',2+`r']=0
			mat LL[`n1',3+`r']=0
			mat LL[`n1',4+`r']=0
		}
		if `c'!=-0.5 & `c'!=-4 {
			mat LL[`n1',1]=`c'
			mat LL[`n1',2+`r']=_b[T_LL_`n1']
			mat LL[`n1',3+`r']=_b[T_LL_`n1']+1.96*_se[T_LL_`n1']
			mat LL[`n1',4+`r']=_b[T_LL_`n1']-1.96*_se[T_LL_`n1']
		}
		if `c'==-0.5 {
			mat LL[`n1',1]=`c'
			mat LL[`n1',2+`r']=0
			mat LL[`n1',3+`r']=0
			mat LL[`n1',4+`r']=0
		}
		local n = `n'+1
	}
	local r = `r'+3
	di `r'
}	
	


	mat list LL
	cap drop LL*
	svmat LL	
	
	// Witches
	twoway (line LL2 LL1) (rcap LL3 LL4 LL1)  ///
	, yline(0) xline(-0.5) xlabel(-3.5(0.5)1.5) /// 
	legend(order( 1 "Probability of School Establishment" ) rows(1)) ///
	xtitle(Century lags)  title("First Migrant into City") ///
	legend(position(6) cols(3) size(medsmall)) 
		
	graph save "$figures/g1.gph", replace
	
	
	// Queens
	twoway (line LL5 LL1) (rcap LL6 LL7 LL1)  ///
	, yline(0) xline(-0.5) xlabel(-3.5(0.5)1.5) /// 
	legend(order( 1 "Probability of School Establishment" ) rows()) ///
	xtitle(Century lags)  title("First notable women in City") ///
	legend(position(6) cols(3) size(medsmall)) 
		
	graph save "$figures/g2.gph", replace
	

	
	graph combine "$figures/g1.gph" "$figures/g2.gph" , rows(1) ycommon
	

	graph export "$figures/Figure_8.png", replace width(2000)
	graph export "$figures/Figure_8.eps", replace  as(eps)
	graph export "$figures/Figure_8.jpg", replace width(2000) as(jpg)

	

