
use "$data/DNB_CrossSection.dta", clear

*** Testing First Stage, choosing m = 10
forvalues m = 5(5)50 {
qui {
reghdfe Schools Monastries_1300  if Century==18.5&abs(Dist_Boundary)<=`m', ///
	a(Hanse bishop Jewish Progrom Battle  OldSchool Uni_1650 MR_2  ) cl(town_id)
test Monastries_1300

}
di " Cutoff `m' =  `r(F)'"
}
local m =10

xi i.Hanse i.bishop i.Jewish i.Progrom i.Battle  i.OldSchool i.Uni_1650 i.MR_2 i.Catholic

cap drop _ID

global full2 lnDW lnDistBoundary lnPop Spring_1650 Summer_1650 Fall_1650 Winter_1650  _I* 

*****************
* Table main text
*****************


foreach var of varlist 	Zeno LB WRO_Allgemein MP_Weimar  {
eststo clear
	qui {

	eststo: reghdfe `var' Schools  if Century==18.5 /// 
			, noabsorb cl(town_id)	
					
		su `var' if GirlSchool==0&e(sample)
			estadd scalar MEAN = `r(mean)'				
			estadd local econ ""
			estadd local rel ""
			estadd local education ""
			
			local b = _b[Schools]
	


			
		*** OSTER ***
		qui reg `var' Schools if Century==18.5 , cl(town_id)
			local br = _b[Schools]
			local rr = e(r2)
		qui reg `var' Schools $full2 if Century==18.5 &abs(Dist_Boundary)<`m', cl(town_id)
			local bf = _b[Schools]
			local rf = e(r2)
		local rmax = 1.3*`rf'
		di `bf'-(`br'-`bf')*((`rmax'-`rf')/(`rf'-`rr'))
		local oster= `bf'-(`br'-`bf')*((`rmax'-`rf')/(`rf'-`rr'))
		* psacalci `br' `rr' `bf' `rf' `br' , rmax(`rmax') delta(1) beta(0)
		*	local oster = `r(output)'	
		
		*** IV estimate:
		ivreghdfe `var' (Schools=Monastries_1300) lnDW lnDistBoundary lnPop Spring_1650 Summer_1650 Fall_1650 Winter_1650 if Century==18.5&abs(Dist_Boundary)<`m' /// 
					, a(Hanse bishop Jewish Progrom Battle  OldSchool Uni_1650 MR_2  ) cl(town_id)	
			local iv = _b[Schools]

		reghdfe `var' Schools lnDW lnDistBoundary lnPop Spring_1650 Summer_1650 Fall_1650 Winter_1650 if Century==18.5&abs(Dist_Boundary)<`m'  /// 
					, a(Hanse bishop Jewish Progrom Battle  OldSchool Uni_1650 MR_2 Catholic Match_ID) cl(town_id)			
			local match = _b[Schools]		
			eststo: reghdfe `var' Schools lnDW lnDistBoundary lnPop Spring_1650 Summer_1650 Fall_1650 Winter_1650 if Century==18.5 &abs(Dist_Boundary)<`m' /// 
			, a(Hanse bishop Jewish Progrom Battle  OldSchool Uni_1650 MR_2 Catholic ) cl(town_id)	
		su `var' if GirlSchool==0&e(sample)
			estadd scalar MEAN = `r(mean)'			
			estadd scalar Oster = `oster'
			estadd scalar IV = `iv'
			estadd scalar MATCH = `match'
			estadd local econ "Yes"
			estadd local rel "Yes"
			estadd local education "Yes"
			estadd local bw = `m'
			
	
			
	eststo: reghdfe lnNo`var' Schools  if Century==18.5 /// 
			, noabsorb cl(town_id)	
					
		su No`var' if GirlSchool==0&e(sample)
			estadd scalar MEAN = `r(mean)'				
			estadd local econ ""
			estadd local rel ""
			estadd local education ""
			
	local b = _b[Schools]
		
			
			*** OSTER ***
		qui reg lnNo`var' Schools if Century==18.5 , cl(town_id)
			local br = _b[Schools]
			local rr = e(r2)
		qui reg lnNo`var' Schools $full2 if Century==18.5 &abs(Dist_Boundary)<`m', cl(town_id)
			local bf = _b[Schools]
			local rf = e(r2)
		local rmax = 1.3*`rf'
		di `bf'-(`br'-`bf')*((`rmax'-`rf')/(`rf'-`rr'))
		local oster= `bf'-(`br'-`bf')*((`rmax'-`rf')/(`rf'-`rr'))
		* psacalci `br' `rr' `bf' `rf' `br' , rmax(`rmax') delta(1) beta(0)
		*	local oster = `r(output)'	
		
		*** IV:
		ivreghdfe lnNo`var' (Schools=Monastries_1300) lnDW lnDistBoundary lnPop Spring_1650 Summer_1650 Fall_1650 Winter_1650 if Century==18.5&abs(Dist_Boundary)<`m' /// 
					, a(Hanse bishop Jewish Progrom Battle  OldSchool Uni_1650 MR_2  ) cl(town_id)	
			local iv = _b[Schools]
		reghdfe lnNo`var' Schools lnDW lnDistBoundary lnPop Spring_1650 Summer_1650 Fall_1650 Winter_1650 if Century==18.5&abs(Dist_Boundary)<`m'  /// 
					, a(Hanse bishop Jewish Progrom Battle  OldSchool Uni_1650 MR_2 Catholic Match_ID) cl(town_id)	
			local match = _b[Schools]
			
			
			eststo: reghdfe lnNo`var' Schools lnDW lnDistBoundary lnPop Spring_1650 Summer_1650 Fall_1650 Winter_1650 if Century==18.5 &abs(Dist_Boundary)<`m' /// 
			, a(Hanse bishop Jewish Progrom Battle  OldSchool Uni_1650 MR_2 Catholic ) cl(town_id)	
		su No`var' if GirlSchool==0&e(sample)
			estadd scalar MEAN = `r(mean)'	
						
			estadd scalar Oster = `oster'
			estadd scalar IV = `iv'	
			estadd scalar MATCH = `match'
			estadd local econ "Yes"
			estadd local rel "Yes"
			estadd local education "Yes"
			estadd local bw = `m'
	
			
			
	}

	esttab, keep(Schools) se star(* 0.1 ** 0.05 *** 0.01) stats(N r2 MEAN Oster IV MATCH, fmt( %9.0fc %9.3f %9.3f %9.3f)) 
		
	
	

	// for export	
	esttab using "$tables/T7_`var'.tex" ///
			, keep(Schools ) replace booktabs fragment ///
			star(* 0.1 ** 0.05 *** 0.01) b(%9.3f) se ///
			coeflabels (Schools "Finishing schools" ) ///
			nomtitles nonumbers noobs nonote nogaps noline  ///
			substitute(\_ _) ///
			stats(r2 MEAN Oster MATCH IV , label("R-squared" "Mean, untreated" "Bias-Adjusted \(\beta\)" "Matching Estimate" "IV estimate using Monasteries in 1300") fmt(%9.3f %9.3f %9.3f %9.3f))	
			
					
}	

// bring panels together
		#delimit ;
		esttab using "$tables/T7_Panel.tex", replace booktabs
			cells(none) nonote noobs nomtitles ///
			mgroups("\$\mathbb{I}[>0]\$" "log Number" , pattern(1 0 1 0 ) 
			prefix(\multicolumn{@span}{c}{) suffix(}) span erepeat(\cmidrule(lr){@span}))
			prefoot(
			\multicolumn{@span}{l}{\emph{Panel A: Encyclopedia of female writers }} \\ 
			\panelinput{"Tables/T7_Zeno.tex"} 
			\midrule \multicolumn{@span}{l}{\emph{Panel B: Leserbriefe, Frauenzeitung, 1849--1852 }} \\ 
			\panelinput{"Tables/T7_LB.tex"} 
			\midrule \multicolumn{@span}{l}{\emph{Panel C: Women's rights organizations}} \\ 
			\panelinput{"Tables/T7_WRO_Allgemein.tex"} 
			\midrule \multicolumn{@span}{l}{\emph{Panel D: Member Parliament, 1919--1933}} \\ 
			\panelinput{"Tables/T7_MP_Weimar.tex"}  \midrule )
			substitute(\_ _)	
		stats(econ rel education ///
		N bw , label( "City Covariates"	"Religious covariates" "Educational covariates " ///
		"Observations" "Bandwidth") fmt(a a a %9.0fc %9.0fc %9.3f)) ///
		coeflabels (Schools "Finishing schools")
		;
		#delimit cr


