
clear all
set matsize 800
set more off
set scheme lean2

global workdir = "C:\Users\mathias.iwanowsky\Desktop\Dropbox\PhD\Ideas\witches\Replication_Package"


cd "$workdir"
********************************************************************************
*** define locations
********************************************************************************
global dofiles "$workdir/Code"
global tables "Tables"
global figures "Figures"
global data "$workdir/Data"

********************************************************************************
*** packages
********************************************************************************
/*
ssc install reghdfe
ssc install ivreghdfe
ssc install estout
ssc install did_imputation
ssc install event_plot
ssc install did_multiplegt, replace
net install sg162.pkg
ssc install unique
ssc install shp2dta
ssc install drdid, all
ssc install csdid, all
ssc install psacalc
ssc install acreg
ssc install twowayfeweights, replace
ssc install bacondecomp, replace

*/

********************************************************************************
*** Figures
********************************************************************************

do "$dofiles/Figure_1.do"	// Descriptive
do "$dofiles/Figure_2.do"	// Main Event Study
do "$dofiles/Figure_3.do"	// Cross-gender impact 
do "$dofiles/Figure_4.do"	// Impact of Finishing schools on economic growth
do "$dofiles/Figure_5.do"	// Impact of cultural change on notable women
do "$dofiles/Figure_7.do"	// Impact of finishing schools on migration
do "$dofiles/Figure_8.do"	// Impact of notable women on migration


********************************************************************************
*** Tables
********************************************************************************

do "$dofiles/Table_1.do"	// Main Table
do "$dofiles/Table_2.do"	// Cross-gender impacts
do "$dofiles/Table_3.do"	// Impact of Culture
do "$dofiles/Table_4.do"	// Types of Women
do "$dofiles/Table_5.do"	// Connections
do "$dofiles/Table_6.do"	// Impact of Writers
do "$dofiles/Table_7.do"	// Cross-Section

********************************************************************************
***** Appendix 
********************************************************************************

do "$dofiles/Appendix_A.do"	// Data Construction
do "$dofiles/Appendix_B.do"	// Alternative Specifications
do "$dofiles/Appendix_C.do"	// Data Construction
do "$dofiles/Appendix_D.do"	// The role of demand-side factors
do "$dofiles/Appendix_E.do"	// Spatial Dependence and Sutva
do "$dofiles/Appendix_F.do"	// Event study designs
do "$dofiles/Appendix_G.do"	// Standard DID
do "$dofiles/Appendix_H.do"	// Robustness in the cross-section
do "$dofiles/Appendix_I.do"	// Impact of notable women in 1800 on social change

